Bug 460699 - greeter segfault with live images
greeter segfault with live images
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-08-29 15:40 EDT by Jeremy Katz
Modified: 2015-01-14 18:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 22:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
greeter log (44.59 KB, text/plain)
2008-08-29 16:21 EDT, Jeremy Katz
no flags Details
greeter log (60.56 KB, text/plain)
2008-09-02 12:01 EDT, Jeremy Katz
no flags Details

  None (edit)
Description Jeremy Katz 2008-08-29 15:40:20 EDT
With live images built against today's rawhide, I'm seeing the greeter segfaulting on boot.

<jeremy> mccann: gtk_tree_model_get_iter: assertion 'path != NULL' on a livecd in :0-greeter.log
<jeremy> mccann: just after default lang name changed 'en_US.utf8'
<mccann> jeremy: what version of gdm?
<jeremy> mccann: 2.23.91-0.20080828.2.fc10
Comment 2 jmccann 2008-08-29 16:05:16 EDT
Can you attach the :0-greeter.log?  Hopefully it has a backtrace in it.
Comment 3 Jeremy Katz 2008-08-29 16:21:41 EDT
Created attachment 315398 [details]
greeter log

Without symbols, it's not the most useful backtrace in the world.

Will try to get one with symbols but need to jet before long, so might not get one this afternoon.
Comment 4 Jeremy Katz 2008-09-02 12:01:32 EDT
Created attachment 315569 [details]
greeter log

Log with symbols
Comment 5 jmccann 2008-09-02 16:35:14 EDT
Thanks for the report Jeremy.  This should be fixed upstream.  Will appear in rawhide shortly.
Comment 6 Jens Petersen 2008-09-08 22:10:14 EDT
Still not in rawhide - so reopening.  This should really be a f10beta blocker IMHO.

Note You need to log in before you can comment on or make changes to this bug.